# Class VulkanLWJGLImageBlits

java.lang.Object
com.io7m.jcoronado.lwjgl.internal.VulkanLWJGLImageBlits

public final class VulkanLWJGLImageBlits extends Object
Functions to pack image blit info.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static org.lwjgl.vulkan.VkImageBlit`
  `pack(org.lwjgl.system.MemoryStack stack, VulkanImageBlit info)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageBlit`
  `packInto(org.lwjgl.system.MemoryStack stack, VulkanImageBlit source, org.lwjgl.vulkan.VkImageBlit target)`
  Pack a structure.
  `static org.lwjgl.vulkan.VkImageBlit.Buffer`
  `packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageBlit> infos)`
  Pack structures.
  `static org.lwjgl.vulkan.VkImageBlit.Buffer`
  `packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageBlit> infos)`
  Pack structures.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### pack

    public static org.lwjgl.vulkan.VkImageBlit pack(org.lwjgl.system.MemoryStack stack, VulkanImageBlit info) throws VulkanException
    Pack a structure.
    Parameters:
      `stack` - A stack
      `info` - A structure
    Returns:
      A packed structure
    Throws:
      `VulkanException` - On errors

  - ### packInto

    public static org.lwjgl.vulkan.VkImageBlit packInto(org.lwjgl.system.MemoryStack stack, VulkanImageBlit source, org.lwjgl.vulkan.VkImageBlit target) throws VulkanException
    Pack a structure.
    Parameters:
      `stack` - A stack
      `source` - The input structure
      `target` - The output structure
    Returns:
      A packed structure
    Throws:
      `VulkanException` - On errors

  - ### packList

    public static org.lwjgl.vulkan.VkImageBlit.Buffer packList(org.lwjgl.system.MemoryStack stack, List<VulkanImageBlit> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors

  - ### packListOrNull

    public static org.lwjgl.vulkan.VkImageBlit.Buffer packListOrNull(org.lwjgl.system.MemoryStack stack, List<VulkanImageBlit> infos) throws VulkanException
    Pack structures.
    Parameters:
      `stack` - A stack
      `infos` - A list of structures
    Returns:
      A list of packed structure
    Throws:
      `VulkanException` - On errors